<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <variable
            name="viewModel"
            type="com.doverfuelingsolutions.issp.view.fragment.FragmentSelect.SearchTypeViewModel" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        style="@style/match"
        android:paddingStart="60dp"
        android:paddingTop="60dp"
        android:paddingEnd="60dp"
        android:paddingBottom="140dp">

        <TextView
            android:id="@+id/mainTip"
            style="@style/wrap"
            android:text="@string/select_search"
            android:textColor="@color/color555"
            android:textSize="52sp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <LinearLayout
            style="@style/fullWidth"
            android:gravity="center"
            android:orientation="horizontal"
            app:layout_constraintBottom_toTopOf="@id/bottomInfo"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/mainTip">

            <ImageView
                android:id="@+id/chooseNozzle"
                android:layout_width="500dp"
                android:layout_height="427dp"
                android:contentDescription="@string/select_nozzle"
                android:src="@mipmap/choose_nozzle" />

            <ImageView
                android:id="@+id/chooseOil"
                android:layout_width="500dp"
                android:layout_height="427dp"
                android:layout_marginStart="30dp"
                android:contentDescription="@string/select_oil"
                android:src="@mipmap/choose_oil" />
        </LinearLayout>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/bottomInfo"
            style="@style/fullWidth"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent">

            <ImageView
                android:id="@+id/mpEntry"
                android:layout_width="240dp"
                android:layout_height="240dp"
                android:contentDescription="@string/mini_program"
                android:src="@mipmap/ic_mini_program"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@id/mainAttention"
                app:layout_constraintTop_toTopOf="parent" />

            <ImageView
                android:id="@+id/mainAttention"
                android:layout_width="652dp"
                android:layout_height="120dp"
                android:contentDescription="@string/attention"
                android:src="@mipmap/ic_please_attention"
                app:layout_constraintBottom_toBottomOf="@id/mpEntry"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="@id/mpEntry" />

            <TextView
                android:id="@+id/deviceNum"
                style="@style/wrap"
                android:layout_marginStart="30dp"
                android:layout_marginTop="50dp"
                android:text="@{@string/device_num_is(viewModel.deviceNum), default=@string/device_num_is}"
                android:textSize="28sp"
                app:layout_constraintStart_toStartOf="@id/mainAttention"
                app:layout_constraintTop_toBottomOf="@id/mainAttention" />

            <TextView
                android:id="@+id/versionNum"
                style="@style/wrap"
                android:layout_marginStart="30dp"
                android:layout_marginTop="20dp"
                android:text="@{@string/version_is(viewModel.version), default=@string/version_is}"
                android:textSize="28sp"
                app:layout_constraintStart_toStartOf="@id/mainAttention"
                app:layout_constraintTop_toBottomOf="@id/deviceNum" />
        </androidx.constraintlayout.widget.ConstraintLayout>
    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>